---
apiVersion: policy/v1
items:
- apiVersion: policy/v1
  kind: PodDisruptionBudget
  metadata:
    creationTimestamp: "2025-10-27T12:41:21Z"
    generation: 1
    managedFields:
    - apiVersion: policy/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:ownerReferences:
            .: {}
            k:{"uid":"c449c622-896c-406e-8487-20bb9b129f67"}: {}
        f:spec:
          f:minAvailable: {}
          f:selector: {}
      manager: manager
      operation: Update
      time: "2025-10-27T12:41:21Z"
    - apiVersion: policy/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            .: {}
            k:{"type":"DisruptionAllowed"}:
              .: {}
              f:lastTransitionTime: {}
              f:message: {}
              f:observedGeneration: {}
              f:reason: {}
              f:status: {}
              f:type: {}
          f:currentHealthy: {}
          f:disruptionsAllowed: {}
          f:expectedPods: {}
          f:observedGeneration: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-27T12:41:50Z"
    name: nmstate-webhook
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: nmstate.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NMState
      name: nmstate
      uid: c449c622-896c-406e-8487-20bb9b129f67
    resourceVersion: "54068"
    uid: 3d5146a1-1f2e-45af-b490-71c5d67e2640
  spec:
    minAvailable: 0
    selector:
      matchLabels:
        name: nmstate-webhook
  status:
    conditions:
    - lastTransitionTime: "2025-10-27T12:41:50Z"
      message: ""
      observedGeneration: 1
      reason: SufficientPods
      status: "True"
      type: DisruptionAllowed
    currentHealthy: 1
    desiredHealthy: 0
    disruptionsAllowed: 1
    expectedPods: 1
    observedGeneration: 1
kind: PodDisruptionBudgetList
metadata:
  resourceVersion: "2220170"
